POST api/VoucherVerification

Request Information

URI Parameters

None.

Body Parameters

clsVoucherVerificationDAL
NameDescriptionTypeAdditional information
VoucherVerificationId

globally unique identifier

None.

BatteryName

string

None.

SerialNumber

string

None.

AlternativeNumber

string

None.

InvoiceImage

string

None.

InvoiceServerPath

string

None.

WarrantyImage

string

None.

WarrantyServerPath

string

None.

ProductImage

string

None.

ProductServerPath

string

None.

VoucherId

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "voucherVerificationId": "4816f59c-9998-476d-9d1c-5a0e0573f06a",
  "batteryName": "sample string 2",
  "serialNumber": "sample string 3",
  "alternativeNumber": "sample string 4",
  "invoiceImage": "sample string 5",
  "invoiceServerPath": "sample string 6",
  "warrantyImage": "sample string 7",
  "warrantyServerPath": "sample string 8",
  "productImage": "sample string 9",
  "productServerPath": "sample string 10",
  "voucherId": "27c13852-f4e0-4085-9b28-0f6946ccde4b"
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'clsVoucherVerificationDAL'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.